Index: admin/plugin.php
===================================================================
--- admin/plugin.php	(revision 1490)
+++ admin/plugin.php	(revision 1179)
@@ -4,5 +4,5 @@
 # This file is part of Dotclear 2.
 #
-# Copyright (c) 2003-2011 Olivier Meunier & Association Dotclear
+# Copyright (c) 2003-2013 Olivier Meunier & Association Dotclear
 # Licensed under the GPL version 2.0 license.
 # See LICENSE file or
@@ -15,82 +15,77 @@
 dcPage::check('usage,contentadmin');
 
-$has_content = false;
 $p_file = '';
 $p = !empty($_REQUEST['p']) ? $_REQUEST['p'] : null;
-$popup = $_ctx->popup = (integer) !empty($_REQUEST['popup']);
+$popup = (integer) !empty($_REQUEST['popup']);
+
+if ($popup) {
+	$open_f = array('dcPage','openPopup');
+	$close_f = array('dcPage','closePopup');
+} else {
+	$open_f = array('dcPage','open');
+	$close_f = array('dcPage','close');
+}
 
 if ($core->plugins->moduleExists($p)) {
 	$p_file = $core->plugins->moduleRoot($p).'/index.php';
 }
-if (file_exists($p_file)) {
 
-//* Keep this for old style plugins using dcPage
-	if ($popup) {
-		$open_f = array('dcPage','openPopup');
-		$close_f = array('dcPage','closePopup');
-	} else {
-		$open_f = array('dcPage','open');
-		$close_f = array('dcPage','close');
-	}
+if (file_exists($p_file))
+{
+	# Loading plugin
+	$p_info = $core->plugins->getModules($p);
 	
-	$p_info = $core->plugins->getModules($p);
 	$p_url = 'plugin.php?p='.$p;
-	$p_title = $p_head = $p_content = '';
-//*/	
-	# Get page content
+	
+	$p_title = 'no content - plugin';
+	$p_head = '';
+	$p_content = '<p>'.__('No content found on this plugin.').'</p>';
+	
 	ob_start();
 	include $p_file;
 	$res = ob_get_contents();
 	ob_end_clean();
-
-	# Check context and display
-	if ($_ctx->hasPageTitle() && !empty($res)) {
-		$has_content = true;
-		echo $res;
-	}
-//* Keep this for old style plugins using dcPage
-	elseif (!$_ctx->hasPageTitle()) {
+	
+	if (preg_match('|<head>(.*?)</head|ms',$res,$m)) {
+		if (preg_match('|<title>(.*?)</title>|ms',$m[1],$mt)) {
+			$p_title = $mt[1];
+		}
 		
-		if (preg_match('|<head>(.*?)</head|ms',$res,$m)) {
-			if (preg_match('|<title>(.*?)</title>|ms',$m[1],$mt)) {
-				$p_title = $mt[1];
-			}
-			
-			if (preg_match_all('|(<script.*?>.*?</script>)|ms',$m[1],$ms)) {
-				foreach ($ms[1] as $v) {
-					$p_head .= $v."\n";
-				}
-			}
-			
-			if (preg_match_all('|(<style.*?>.*?</style>)|ms',$m[1],$ms)) {
-				foreach ($ms[1] as $v) {
-					$p_head .= $v."\n";
-				}
-			}
-			
-			if (preg_match_all('|(<link.*?/>)|ms',$m[1],$ms)) {
-				foreach ($ms[1] as $v) {
-					$p_head .= $v."\n";
-				}
+		if (preg_match_all('|(<script.*?>.*?</script>)|ms',$m[1],$ms)) {
+			foreach ($ms[1] as $v) {
+				$p_head .= $v."\n";
 			}
 		}
 		
-		if (preg_match('|<body.*?>(.+)</body>|ms',$res,$m)) {
-			$p_content = $m[1];
-			
-			call_user_func($open_f,$p_title,$p_head);
-			echo $p_content;
-			call_user_func($close_f);
-			
-			$has_content = true;
+		if (preg_match_all('|(<style.*?>.*?</style>)|ms',$m[1],$ms)) {
+			foreach ($ms[1] as $v) {
+				$p_head .= $v."\n";
+			}
+		}
+		
+		if (preg_match_all('|(<link.*?/>)|ms',$m[1],$ms)) {
+			foreach ($ms[1] as $v) {
+				$p_head .= $v."\n";
+			}
 		}
 	}
-//*/
+	
+	if (preg_match('|<body.*?>(.+)</body>|ms',$res,$m)) {
+		$p_content = $m[1];
+	}
+	
+	call_user_func($open_f,$p_title,$p_head);
+	echo $p_content;
+	call_user_func($close_f);
 }
-# No plugin or content found
-if (!$has_content) {
-	$_ctx->setBreadcrumb(__('Plugin not found'));
-	$_ctx->addError(__('The plugin you reached does not exist or does not have an admin page.'));
-	$core->tpl->display('plugin.html.twig');
+else
+{
+	call_user_func($open_f,__('Plugin not found'));
+	
+	echo '<h2 class="page-title">'.__('Plugin not found').'</h2>';
+	
+	echo '<p>'.__('The plugin you reached does not exist or does not have an admin page.').'</p>';
+	
+	call_user_func($close_f);
 }
 ?>
Index: admin/plugins.php
===================================================================
--- admin/plugins.php	(revision 1474)
+++ admin/plugins.php	(revision 1271)
@@ -191,11 +191,9 @@
 dcPage::open(__('Plugins management'),
 	dcPage::jsLoad('js/_plugins.js').
-	dcPage::jsPageTabs($default_tab),
-	dcPage::breadcrumb(
-		array(
-			__('System') => '',
-			'<span class="page-title">'.__('Plugins management').'</span>' => ''
-		))
+	dcPage::jsPageTabs($default_tab)
 );
+
+echo
+'<h2 class="page-title">'.__('Plugins management').'</h2>';
 
 if (!empty($_GET['removed'])) {
@@ -235,9 +233,10 @@
 		'<a href="plugin.php?p=daInstaller">'.__('DotAddict.org Installer').'</a>'));
 
+echo '<p>';
 if ($is_writable) {
-	echo '<p>'.__('To install or upgrade a plugin you generally just need to upload it '.
+	echo __('To install or upgrade a plugin you generally just need to upload it '.
 	'in "Install or upgrade a plugin" section.');
 } else {
-	echo '<p>'.__('To install or upgrade a plugin you just need to extract it in your plugins directory.');
+	echo __('To install or upgrade a plugin you just need to extract it in your plugins directory.');
 }
 echo '</p>';
@@ -357,11 +356,11 @@
 	'<fieldset>'.
 	'<legend>'.__('Upload a zip file').'</legend>'.
-	'<p class="field"><label for="pkg_file" class="classic required"><abbr title="'.__('Required field').'">*</abbr> '.__('Plugin zip file:').'</label> '.
-	'<input type="file" id="pkg_file" name="pkg_file" /></p>'.
-	'<p class="field"><label for="your_pwd1" class="classic required"><abbr title="'.__('Required field').'">*</abbr> '.__('Your password:').'</label> '.
-	form::password(array('your_pwd','your_pwd1'),20,255).'</p>'.
-	'<p><input type="submit" name="upload_pkg" value="'.__('Upload plugin').'" />'.
+	'<p class="field"><label for="pkg_file" class="classic required"><abbr title="'.__('Required field').'">*</abbr> '.__('Plugin zip file:').' '.
+	'<input type="file" id="pkg_file" name="pkg_file" /></label></p>'.
+	'<p class="field"><label for="your_pwd1" class="classic required"><abbr title="'.__('Required field').'">*</abbr> '.__('Your password:').' '.
+	form::password(array('your_pwd','your_pwd1'),20,255).'</label></p>'.
+	'<input type="submit" name="upload_pkg" value="'.__('Upload plugin').'" />'.
 	$core->formNonce().
-	'</p></fieldset>'.
+	'</fieldset>'.
 	'</form>';
 	
@@ -371,8 +370,8 @@
 	'<fieldset>'.
 	'<legend>'.__('Download a zip file').'</legend>'.
-	'<p class="field"><label for="pkg_url" class="classic required"><abbr title="'.__('Required field').'">*</abbr> '.__('Plugin zip file URL:').'</label> '.
-	form::field(array('pkg_url','pkg_url'),40,255).'</p>'.
-	'<p class="field"><label for="your_pwd2" class="classic required"><abbr title="'.__('Required field').'">*</abbr> '.__('Your password:').'</label> '.
-	form::password(array('your_pwd','your_pwd2'),20,255).'</p>'.
+	'<p class="field"><label for="pkg_url" class="classic required"><abbr title="'.__('Required field').'">*</abbr> '.__('Plugin zip file URL:').' '.
+	form::field(array('pkg_url','pkg_url'),40,255).'</label></p>'.
+	'<p class="field"><label for="your_pwd2" class="classic required"><abbr title="'.__('Required field').'">*</abbr> '.__('Your password:').' '.
+	form::password(array('your_pwd','your_pwd2'),20,255).'</label></p>'.
 	'<input type="submit" name="fetch_pkg" value="'.__('Download plugin').'" />'.
 	$core->formNonce().
@@ -389,4 +388,9 @@
 echo '</div>';
 
+if ($core->plugins->moduleExists('daInstaller')) {
+	echo '<p><a href="plugin.php?p=daInstaller" class="multi-part">'.__('DotAddict.org Installer').'</a></p>';
+}
+
+
 # --BEHAVIOR-- pluginsToolsTabs
 $core->callBehavior('pluginsToolsTabs',$core);
Index: admin/popup_link.php
===================================================================
--- admin/popup_link.php	(revision 1399)
+++ admin/popup_link.php	(revision 1179)
@@ -40,11 +40,11 @@
 echo
 '<form id="link-insert-form" action="#" method="get">'.
-'<p><label class="required" for="href"><abbr title="'.__('Required field').'">*</abbr> '.__('Link URL:').'</label> '.
-form::field('href',35,512,html::escapeHTML($href)).'</p>'.
-'<p><label for="title">'.__('Link title:').'</label> '. 
-form::field('title',35,512,html::escapeHTML($title)).'</p>'. 
-'<p><label for="hreflang">'.__('Link language:').'</label> '.
+'<p><label class="required"><abbr title="'.__('Required field').'">*</abbr> '.__('Link URL:').' '.
+form::field('href',35,512,html::escapeHTML($href)).'</label></p>'.
+'<p><label>'.__('Link title:').' '. 
+form::field('title',35,512,html::escapeHTML($title)).'</label></p>'. 
+'<p><label>'.__('Link language:').' '.
 form::combo('hreflang',$lang_combo,$hreflang).
-'</p>'.
+'</label></p>'.
 
 '</form>'.
Index: admin/popup_posts.php
===================================================================
--- admin/popup_posts.php	(revision 1399)
+++ admin/popup_posts.php	(revision 1179)
@@ -53,14 +53,14 @@
 
 echo '<form action="popup_posts.php" method="post">'.
-	'<p><label for"type" class="classic">'.__('Entry type:').'</label> '.form::combo('type',$type_combo,$type).''.
-	$core->formNonce().'</p>'.
+	'<p><label for"type" class="classic">'.__('Entry type:').' '.form::combo('type',$type_combo,$type).'</label></p>'.
+	$core->formNonce().
 	'<noscript><div><input type="submit" value="'.__('Ok').'" /></div></noscript>'.
 	'</form>';
 
 echo '<form action="popup_posts.php" method="get">'.
-	'<p><label for="q" class="classic">'.__('Search entry:').'</label> '.form::field('q',30,255,html::escapeHTML($q)).
-	' <input type="submit" value="'.__('Search').'" />'.
+	'<p><label for="q" class="classic">'.__('Search entry:').' '.form::field('q',30,255,html::escapeHTML($q)).'</label> '.
+	' <input type="submit" value="'.__('Search').'" /></p>'.
 	form::hidden('type',html::escapeHTML($type)).
-	'</p></form>';
+	'</form>';
 
 try {
